POST
/
proxy_api
/
v1
/
netnut
/
users
/
create
Create a sub-user
curl --request POST \
  --url https://core-proxy-service-w34nvoxnwq-uc.a.run.app/proxy_api/v1/netnut/users/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "dataGb": 123,
  "ips": [
    "<string>"
  ]
}
'
{
  "users": [
    {
      "username": "<string>",
      "userId": "test124",
      "password": "<string>",
      "dataLimit": 123,
      "dataUsed": 123,
      "status": "<string>",
      "dateCreated": "2023-11-07T05:31:56Z",
      "whitelistedIps": [
        "<string>"
      ]
    }
  ],
  "length": 123
}

Authorizations

Authorization
string
header
required

[just text field] Please enter token in following format: Bearer

Body

application/json
dataGb
number
required

amount in gb

ips
string[]
required

Array of IPs to be whitelisted

Response

User created

users
object[]
required

All Users

length
number
required

Total Users